shiny_callback {rbokeh} | R Documentation

## Specify a Shiny callback

### Description

Specify a Shiny callback

### Usage

    shiny_callback(id)

### Arguments

`id` | a name that will be made available in your Shiny app as `input$id`

### Note

Depending on the type of callback you are using (selection, range, hover, tap), the value of `input$id` will change. The best way to get familiar with what to expect as these values is to debug inside your Shiny app and inspect the contents. You can also use `custom_callback` to write your own custom callbacks that can register other data in your Shiny app. To see what the callbacks look like for each callback type, see, for example, the contents of `rbokeh:::handle_range_callback.shinyCallback`

[Package rbokeh version 0.5.0 Index]